Name:           indicator-me
Version:        0.2.19
Release:        1%{?dist}
Summary:        Me Menu

Group:          User Interface/X
License:        GPLv3
URL:            http://launchpad.net/indicator-me
Source0:        http://launchpad.net/%{name}/0.2/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:  gtk2-devel >= 2.12.0
BuildRequires:  dbus-glib-devel
BuildRequires:  gnome-doc-utils
BuildRequires:  libindicator-devel >= 0.3.19
BuildRequires:  libdbusmenu-glib-devel >= 0.3.91
BuildRequires:  libdbusmenu-gtk2-devel >= 0.3.91
BuildRequires:  intltool
BuildRequires:  telepathy-glib-devel >= 0.9.0
BuildRequires:  ido-devel >= 0.1.14
BuildRequires:  GConf2-devel
BuildRequires:  libgwibber-devel >= 0.0.7
 
Requires:       unity

Patch0:         %{name}-%{version}-fedora-compat.patch

%description
Indicator showing user information and status

%prep
%setup -q
%patch0 -p1 -b .fedora-compat

%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post
touch --no-create %{_datadir}/libindicator/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/libindicator/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/libindicator/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/libindicator/icons/hicolor &>/dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS ChangeLog
%{_datadir}/libindicator/icons/hicolor/*/status/*.svg
%{_datadir}/libindicator/icons/hicolor/*/status/*.png
%{_libdir}/indicators/5/libme.so
%{_libexecdir}/%{name}-service
%{_datadir}/dbus-1/services/%{name}.service

%changelog
* Sun Apr 24 2011 Hicham HAOUARI <hicham.haouari@gmail.com> - 0.2.19-1
- Initial package
